<form [formGroup]="form">
  <div class="row">
    <!-- ------------ Naam --------------------------------------- -->
    <div class="form-group col-xs-8">
      <label for="name">Naam</label>

      <input
        type="text"
        formControlName="name"
        placeholder="Periodenaam"
        class="form-control"
        [class.is-invalid]="nameControlInvalid"
        required
        minlength="3"
      />
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Naam is een verplicht veld.</p>
      </div>
    </div>

    <div class="form-group col-xs-4">
      <label for="personSelector">Periode eigenaar</label>
      <lib-person-selector
        [currentPersonId]="course?.responsiblePerson?.id"
        (selected)="onPersonSelected($event)"
      ></lib-person-selector>
    </div>
  </div>

  <div class="row">
    <div class="form-group col-xs-3">
      <label for="studyYear">Studiejaar</label>
      <select id="studyYear" name="studyYear" class="form-control" formControlName="studyYear" required>
        <option *ngFor="let studyYear of [1, 2, 3, 4]" [ngValue]="studyYear"> Jaar {{ studyYear }} </option>
      </select>
    </div>
    <div class="form-group col-xs-3">
      <label for="trimesterSelector">Periode</label>
      <select
        id="trimesterSelector"
        name="trimesterSelector"
        class="form-control"
        formControlName="trimester"
        required
      >
        <option *ngFor="let trimester of [1, 2, 3, 4]" [ngValue]="trimester">
          Periode {{ trimester }}
        </option>
      </select>
    </div>
    <div class="form-group col-xs-3">
      <label for="formSelector">Onderwijsvorm</label>
      <select id="formSelector" name="formSelector" class="form-control" formControlName="form" required>
        <option *ngFor="let form of ['Regulier', 'Verkort']" [value]="form"> {{ form }} traject </option>
      </select>
    </div>
  </div>

  <!-- ------------ Korte beschrijving --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="shortDescription">Korte beschrijving</label>
      <input
        type="text"
        formControlName="shortDescription"
        placeholder="Hier een beschrijving"
        class="form-control"
        [class.is-invalid]="shortDescriptionControlInvalid"
        required
        minlength="3"
      />
      <div class="invalid-feedback" *ngIf="shortDescriptionControlInvalid">
        <p>Een korte beschrijving is verplicht.</p>
      </div>
    </div>
  </div>

  <!-- Display any additional components provided by the calling component. -->
  <ng-content></ng-content>

  <h2>Aanvullende informatie</h2>
  <!-- ------------ Lange beschrijving --------------------------- -->
  <div class="row" style="display: block;">
    <div class="form-group col-xs">
      <label for="longDescription">Toelichting</label>

      <quill-editor
        id="longDescription"
        [style]="{ height: '160px' }"
        formControlName="longDescription"
        placeholder="Toelichting bestemd voor geïnteresseerde studenten"
        format="html"
        [sanitize]="true"
      >
      </quill-editor>
    </div>
  </div>

  <!-- ------------ Administratieve opmerking --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="administrativeRemark">Administratieve opmerking</label>
      <textarea
        type="text"
        rows="2"
        class="form-control"
        formControlName="administrativeRemark"
        placeholder="Aantekening of opmerking voor intern gebruik."
        class="form-control"
      ></textarea>
    </div>
  </div>

  <!-- ------------ Buttons -------------------------------------- -->
  <div class="row">
    <div class="col-auto">
      <div class="form-group">
        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="!exists"
          (click)="createItem(form)"
        >
          Create item
        </button>

        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="exists"
          (click)="updateItem(form)"
        >
          Update item
        </button>

        <button type="button" class="btn btn-outline-warning" *ngIf="exists" (click)="removeItem(form)">
          Verwijder item
        </button>

        <button type="button" class="btn btn-spacing btn-outline-warning" (click)="onCancel()">
          Cancel
        </button>
      </div>
    </div>
  </div>
</form>
